package com.steering.model.qcm;

/**
 * 数据库表SLM_ORDER_LINE所对应的实体类（生成工具：代码生成器3.0）
 * @author Chenxi-PC2   date 2015-12-09
 */
@SuppressWarnings("serial")
public class SlmOrderLineEntity implements java.io.Serializable {
    /**
     * ORD_PK
     */
    private String ordPk = "";
    /**
     * ORD_LN_PK(ORD_PK+三位流失号)
     */
    private String ordLnPk = "";
    /**
     * 合同行号(ORD_PK向下三位流水号,确保流水号的连续性)
     */
    private String orderSeq = "";
    /**
     * 客户Alpha编号
     */
    private String custAlphaNo = "";
    /**
     * 产品规范码
     */
    private String psc = "";
    /**
     * 产品规范描述
     */
    private String pscDesc = "";
    /**
     * 冶金规范码
     */
    private String msc = "";
    /**
     * 冶金规范描述
     */
    private String mscDesc = "";
    /**
     * 冶金规范类型(A:钢管+管坯、B:钢管+接箍、C:短节+附件)
     */
    private String mscStyle = "";
    /**
     * 用途码
     */
    private String useCode = "";
    /**
     * 用途码描述
     */
    private String useDesc = "";
    /**
     * 品种分类(油井管;专业管;普管)
     */
    private String prdCls = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 品名描述
     */
    private String producname = "";
    /**
     * 标准代码
     */
    private String stdCode = "";
    /**
     * 标准名称
     */
    private String stdName = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 标准类别代码
     */
    private String stdStyle = "";
    /**
     * 标准类别描述
     */
    private String stdStyleDesc = "";
    /**
     * 订货规格代码(用于合同、质保书、标牌、标识)
     */
    private String orderSpecCode = "";
    /**
     * 订货规格描述(用于合同、质保书、标牌、标识)
     */
    private String orderSpecDesc = "";
    /**
     * 产品规格代码
     */
    private String specCode = "";
    /**
     * 产品规格描述
     */
    private String specName = "";
    /**
     * 外径(mm)
     */
    private String dimater = "";
    /**
     * 壁厚(mm)
     */
    private String height = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 扣型描述
     */
    private String modelDesc = "";
    /**
     * 长度编码
     */
    private String lenNo = "";
    /**
     * 长度描述
     */
    private String lenDesc = "";
    /**
     * 长度单位
     */
    private String lenUnit = "";
    /**
     * 下限
     */
    private String lenMin = "";
    /**
     * 上限
     */
    private String lenMax = "";
    /**
     * 短尺率(%)
     */
    private String shrtLenRato = "";
    /**
     * 短尺最短
     */
    private String shortest = "";
    /**
     * 长尺率(%)
     */
    private String longLenRato = "";
    /**
     * 长尺最长
     */
    private String longest = "";
    /**
     * 短尺随炉
     */
    private String shrtStove = "";
    /**
     * 平均长度大于
     */
    private String avgLenMin = "";
    /**
     * 最长最短差小于
     */
    private String difrncLenMax = "";
    /**
     * 成品公差
     */
    private String endlenSpecstd = "";
    /**
     * 单倍尺长
     */
    private String siglLen = "";
    /**
     * 订货计量单位(支、米、吨)
     */
    private String orderUnit = "";
    /**
     * 订货量
     */
    private String orderQty = "";
    /**
     * 订货保总长
     */
    private String ordEnsuTotlLen = "";
    /**
     * 生产吨数(根据订货量计算)
     */
    private String prdctWgt = "";
    /**
     * 交货量差方式（绝对值;百分比)
     */
    private String delvryRangeTpe = "";
    /**
     * 交货量差下限
     */
    private String delvryRangeMin = "";
    /**
     * 交货量差上限
     */
    private String delvryRangeMax = "";
    /**
     * 最终用户(来源客户表)
     */
    private String finalUser = "";
    /**
     * 最终用户描述
     */
    private String finalUserDesc = "";
    /**
     * 外购坯(COM_BASE_INFO:1218)
     */
    private String outsBilletFl = "";
    /**
     * 外购管(COM_BASE_INFO:1219)
     */
    private String outsStlPipeFl = "";
    /**
     * ASSEL(1:允许;0:不允许)
     */
    private String asselFl = "";
    /**
     * 监制要求(1:有;0:无)
     */
    private String producerFl = "";
    /**
     * 监制编号(ORD_LN_PK+三位流水号)
     */
    private String prdcrNo = "";
    /**
     * 监制说明
     */
    private String prdcrDesc = "";
    /**
     * MPS要求(1:有;0无)
     */
    private String mpsFl = "";
    /**
     * MPS编号
     */
    private String mpsNo = "";
    /**
     * MPS说明
     */
    private String mpsDesc = "";
    /**
     * 交货开始日期
     */
    private String delvryBdate = "";
    /**
     * 交货结束日期
     */
    private String delvryEdate = "";
    /**
     * 交货信息描述
     */
    private String delvryDesc = "";
    /**
     * 运输信息描述
     */
    private String transDesc = "";
    /**
     * 附加要求编码
     */
    private String addAskNo = "";
    /**
     * 订货附加要求描述
     */
    private String orderAddDesc = "";
    /**
     * 产品特殊要求标识
     */
    private String orderSpecialFl = "";
    /**
     * 特殊要求技术规范说明
     */
    private String orderSpecialHead = "";
    /**
     * 技术规范文件路径
     */
    private String orderSpecialPath = "";
    /**
     * 产品特殊要求描述
     */
    private String orderSpecialDesc = "";
    /**
     * 质保书
     */
    private String zbs = "";
    /**
     * 订货价(牌价)
     */
    private String orderPrice = "";
    /**
     * 运费
     */
    private String transPrice = "";
    /**
     * 测价序号
     */
    private String testId = "";
    /**
     * 测算价
     */
    private String testPrice = "";
    /**
     * 出厂价
     */
    private String outPrice = "";
    /**
     * 结算价
     */
    private String balncePrice = "";
    /**
     * 前合同行状态
     */
    private String beOrderLnStatus = "";
    /**
     * 操作对象(前)
     */
    private String beObjStsOp = "";
    /**
     * 合同行状态
     */
    private String orderLnStatus = "";
    /**
     * 操作对象
     */
    private String objStsOp = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 删除人
     */
    private String deleteName = "";
    /**
     * 删除时间
     */
    private String deleteTime = "";
    /**
     * ORD_LN_PK_OLD
     */
    private String ordLnPkOld = "";
    /**
     * 合同行锁定状态 '1'锁定,'0'未锁定
     */
    private String islock = "";
    /**
     * 客户Alpha编码（Alpha编码生成MSC(n)后，写入的）
     */
    private String custAlphaNo2 = "";
    /**
     * 合同变更单号(G+YYYYMMDD+00001)
     */
    private String orderChgeNo = "";
    /**
     * 发起合同变更的合同行号
     */
    private String chgeOrdLnPk = "";
    /**
     * 结算价状态0录入1确认
     */
    private String balncePriceSts = "";
    /**
     * 内部结算价格
     */
    private String balncePriceOrg = "";
    /**
     * 内部结算价状态0录入1确认
     */
    private String balncePriceOrgSts = "";
    /**
     * 吊装费
     */
    private String pakPrice = "";
    /**
     * "ASSEL+外购的标识：1.只有ASSEL A   2.外购 W  3.ASSEL+外购 AW  4.什么都没有 为空。"
     */
    private String aw = "";
    /**
     * 录入的MPS编号
     */
    private String mpsNoInput = "";
    /**
     * 在线机探盲区 1可手探；0不可手探 
     */
    private String manInspection = "";
    /**
     * 在线机探盲区切长(不可手探时才存在) 
     */
    private String inspectionValue = "";
    /**
     * 跟输入的MPS编号对应的MPS文本（服务器的地址）
     */
    private String mpsNoFile = "";
    /**
     * 质保书单位(来源客户表)
     */
    private String qualityUser = "";
    /**
     * 质保书单位描述
     */
    private String qualityUserDesc = "";

    /**
     * ORD_PK
     * @return value
     */
    public String getOrdPk() {
        return ordPk;
    }

    /**
     * ORD_PK
     * @param ordPk value
     */
    public void setOrdPk(String ordPk) {
        this.ordPk = ordPk;
    }

    /**
     * ORD_LN_PK(ORD_PK+三位流失号)
     * @return value
     */
    public String getOrdLnPk() {
        return ordLnPk;
    }

    /**
     * ORD_LN_PK(ORD_PK+三位流失号)
     * @param ordLnPk value
     */
    public void setOrdLnPk(String ordLnPk) {
        this.ordLnPk = ordLnPk;
    }

    /**
     * 合同行号(ORD_PK向下三位流水号,确保流水号的连续性)
     * @return value
     */
    public String getOrderSeq() {
        return orderSeq;
    }

    /**
     * 合同行号(ORD_PK向下三位流水号,确保流水号的连续性)
     * @param orderSeq value
     */
    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    /**
     * 客户Alpha编号
     * @return value
     */
    public String getCustAlphaNo() {
        return custAlphaNo;
    }

    /**
     * 客户Alpha编号
     * @param custAlphaNo value
     */
    public void setCustAlphaNo(String custAlphaNo) {
        this.custAlphaNo = custAlphaNo;
    }

    /**
     * 产品规范码
     * @return value
     */
    public String getPsc() {
        return psc;
    }

    /**
     * 产品规范码
     * @param psc value
     */
    public void setPsc(String psc) {
        this.psc = psc;
    }

    /**
     * 产品规范描述
     * @return value
     */
    public String getPscDesc() {
        return pscDesc;
    }

    /**
     * 产品规范描述
     * @param pscDesc value
     */
    public void setPscDesc(String pscDesc) {
        this.pscDesc = pscDesc;
    }

    /**
     * 冶金规范码
     * @return value
     */
    public String getMsc() {
        return msc;
    }

    /**
     * 冶金规范码
     * @param msc value
     */
    public void setMsc(String msc) {
        this.msc = msc;
    }

    /**
     * 冶金规范描述
     * @return value
     */
    public String getMscDesc() {
        return mscDesc;
    }

    /**
     * 冶金规范描述
     * @param mscDesc value
     */
    public void setMscDesc(String mscDesc) {
        this.mscDesc = mscDesc;
    }

    /**
     * 冶金规范类型(A:钢管+管坯、B:钢管+接箍、C:短节+附件)
     * @return value
     */
    public String getMscStyle() {
        return mscStyle;
    }

    /**
     * 冶金规范类型(A:钢管+管坯、B:钢管+接箍、C:短节+附件)
     * @param mscStyle value
     */
    public void setMscStyle(String mscStyle) {
        this.mscStyle = mscStyle;
    }

    /**
     * 用途码
     * @return value
     */
    public String getUseCode() {
        return useCode;
    }

    /**
     * 用途码
     * @param useCode value
     */
    public void setUseCode(String useCode) {
        this.useCode = useCode;
    }

    /**
     * 用途码描述
     * @return value
     */
    public String getUseDesc() {
        return useDesc;
    }

    /**
     * 用途码描述
     * @param useDesc value
     */
    public void setUseDesc(String useDesc) {
        this.useDesc = useDesc;
    }

    /**
     * 品种分类(油井管;专业管;普管)
     * @return value
     */
    public String getPrdCls() {
        return prdCls;
    }

    /**
     * 品种分类(油井管;专业管;普管)
     * @param prdCls value
     */
    public void setPrdCls(String prdCls) {
        this.prdCls = prdCls;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 标准类别代码
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 标准类别代码
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 订货规格代码(用于合同、质保书、标牌、标识)
     * @return value
     */
    public String getOrderSpecCode() {
        return orderSpecCode;
    }

    /**
     * 订货规格代码(用于合同、质保书、标牌、标识)
     * @param orderSpecCode value
     */
    public void setOrderSpecCode(String orderSpecCode) {
        this.orderSpecCode = orderSpecCode;
    }

    /**
     * 订货规格描述(用于合同、质保书、标牌、标识)
     * @return value
     */
    public String getOrderSpecDesc() {
        return orderSpecDesc;
    }

    /**
     * 订货规格描述(用于合同、质保书、标牌、标识)
     * @param orderSpecDesc value
     */
    public void setOrderSpecDesc(String orderSpecDesc) {
        this.orderSpecDesc = orderSpecDesc;
    }

    /**
     * 产品规格代码
     * @return value
     */
    public String getSpecCode() {
        return specCode;
    }

    /**
     * 产品规格代码
     * @param specCode value
     */
    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }

    /**
     * 产品规格描述
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 产品规格描述
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 外径(mm)
     * @return value
     */
    public String getDimater() {
        return dimater;
    }

    /**
     * 外径(mm)
     * @param dimater value
     */
    public void setDimater(String dimater) {
        this.dimater = dimater;
    }

    /**
     * 壁厚(mm)
     * @return value
     */
    public String getHeight() {
        return height;
    }

    /**
     * 壁厚(mm)
     * @param height value
     */
    public void setHeight(String height) {
        this.height = height;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 长度编码
     * @return value
     */
    public String getLenNo() {
        return lenNo;
    }

    /**
     * 长度编码
     * @param lenNo value
     */
    public void setLenNo(String lenNo) {
        this.lenNo = lenNo;
    }

    /**
     * 长度描述
     * @return value
     */
    public String getLenDesc() {
        return lenDesc;
    }

    /**
     * 长度描述
     * @param lenDesc value
     */
    public void setLenDesc(String lenDesc) {
        this.lenDesc = lenDesc;
    }

    /**
     * 长度单位
     * @return value
     */
    public String getLenUnit() {
        return lenUnit;
    }

    /**
     * 长度单位
     * @param lenUnit value
     */
    public void setLenUnit(String lenUnit) {
        this.lenUnit = lenUnit;
    }

    /**
     * 下限
     * @return value
     */
    public String getLenMin() {
        return lenMin;
    }

    /**
     * 下限
     * @param lenMin value
     */
    public void setLenMin(String lenMin) {
        this.lenMin = lenMin;
    }

    /**
     * 上限
     * @return value
     */
    public String getLenMax() {
        return lenMax;
    }

    /**
     * 上限
     * @param lenMax value
     */
    public void setLenMax(String lenMax) {
        this.lenMax = lenMax;
    }

    /**
     * 短尺率(%)
     * @return value
     */
    public String getShrtLenRato() {
        return shrtLenRato;
    }

    /**
     * 短尺率(%)
     * @param shrtLenRato value
     */
    public void setShrtLenRato(String shrtLenRato) {
        this.shrtLenRato = shrtLenRato;
    }

    /**
     * 短尺最短
     * @return value
     */
    public String getShortest() {
        return shortest;
    }

    /**
     * 短尺最短
     * @param shortest value
     */
    public void setShortest(String shortest) {
        this.shortest = shortest;
    }

    /**
     * 长尺率(%)
     * @return value
     */
    public String getLongLenRato() {
        return longLenRato;
    }

    /**
     * 长尺率(%)
     * @param longLenRato value
     */
    public void setLongLenRato(String longLenRato) {
        this.longLenRato = longLenRato;
    }

    /**
     * 长尺最长
     * @return value
     */
    public String getLongest() {
        return longest;
    }

    /**
     * 长尺最长
     * @param longest value
     */
    public void setLongest(String longest) {
        this.longest = longest;
    }

    /**
     * 短尺随炉
     * @return value
     */
    public String getShrtStove() {
        return shrtStove;
    }

    /**
     * 短尺随炉
     * @param shrtStove value
     */
    public void setShrtStove(String shrtStove) {
        this.shrtStove = shrtStove;
    }

    /**
     * 平均长度大于
     * @return value
     */
    public String getAvgLenMin() {
        return avgLenMin;
    }

    /**
     * 平均长度大于
     * @param avgLenMin value
     */
    public void setAvgLenMin(String avgLenMin) {
        this.avgLenMin = avgLenMin;
    }

    /**
     * 最长最短差小于
     * @return value
     */
    public String getDifrncLenMax() {
        return difrncLenMax;
    }

    /**
     * 最长最短差小于
     * @param difrncLenMax value
     */
    public void setDifrncLenMax(String difrncLenMax) {
        this.difrncLenMax = difrncLenMax;
    }

    /**
     * 成品公差
     * @return value
     */
    public String getEndlenSpecstd() {
        return endlenSpecstd;
    }

    /**
     * 成品公差
     * @param endlenSpecstd value
     */
    public void setEndlenSpecstd(String endlenSpecstd) {
        this.endlenSpecstd = endlenSpecstd;
    }

    /**
     * 单倍尺长
     * @return value
     */
    public String getSiglLen() {
        return siglLen;
    }

    /**
     * 单倍尺长
     * @param siglLen value
     */
    public void setSiglLen(String siglLen) {
        this.siglLen = siglLen;
    }

    /**
     * 订货计量单位(支、米、吨)
     * @return value
     */
    public String getOrderUnit() {
        return orderUnit;
    }

    /**
     * 订货计量单位(支、米、吨)
     * @param orderUnit value
     */
    public void setOrderUnit(String orderUnit) {
        this.orderUnit = orderUnit;
    }

    /**
     * 订货量
     * @return value
     */
    public String getOrderQty() {
        return orderQty;
    }

    /**
     * 订货量
     * @param orderQty value
     */
    public void setOrderQty(String orderQty) {
        this.orderQty = orderQty;
    }

    /**
     * 订货保总长
     * @return value
     */
    public String getOrdEnsuTotlLen() {
        return ordEnsuTotlLen;
    }

    /**
     * 订货保总长
     * @param ordEnsuTotlLen value
     */
    public void setOrdEnsuTotlLen(String ordEnsuTotlLen) {
        this.ordEnsuTotlLen = ordEnsuTotlLen;
    }

    /**
     * 生产吨数(根据订货量计算)
     * @return value
     */
    public String getPrdctWgt() {
        return prdctWgt;
    }

    /**
     * 生产吨数(根据订货量计算)
     * @param prdctWgt value
     */
    public void setPrdctWgt(String prdctWgt) {
        this.prdctWgt = prdctWgt;
    }

    /**
     * 交货量差方式（绝对值;百分比)
     * @return value
     */
    public String getDelvryRangeTpe() {
        return delvryRangeTpe;
    }

    /**
     * 交货量差方式（绝对值;百分比)
     * @param delvryRangeTpe value
     */
    public void setDelvryRangeTpe(String delvryRangeTpe) {
        this.delvryRangeTpe = delvryRangeTpe;
    }

    /**
     * 交货量差下限
     * @return value
     */
    public String getDelvryRangeMin() {
        return delvryRangeMin;
    }

    /**
     * 交货量差下限
     * @param delvryRangeMin value
     */
    public void setDelvryRangeMin(String delvryRangeMin) {
        this.delvryRangeMin = delvryRangeMin;
    }

    /**
     * 交货量差上限
     * @return value
     */
    public String getDelvryRangeMax() {
        return delvryRangeMax;
    }

    /**
     * 交货量差上限
     * @param delvryRangeMax value
     */
    public void setDelvryRangeMax(String delvryRangeMax) {
        this.delvryRangeMax = delvryRangeMax;
    }

    /**
     * 最终用户(来源客户表)
     * @return value
     */
    public String getFinalUser() {
        return finalUser;
    }

    /**
     * 最终用户(来源客户表)
     * @param finalUser value
     */
    public void setFinalUser(String finalUser) {
        this.finalUser = finalUser;
    }

    /**
     * 最终用户描述
     * @return value
     */
    public String getFinalUserDesc() {
        return finalUserDesc;
    }

    /**
     * 最终用户描述
     * @param finalUserDesc value
     */
    public void setFinalUserDesc(String finalUserDesc) {
        this.finalUserDesc = finalUserDesc;
    }

    /**
     * 外购坯(COM_BASE_INFO:1218)
     * @return value
     */
    public String getOutsBilletFl() {
        return outsBilletFl;
    }

    /**
     * 外购坯(COM_BASE_INFO:1218)
     * @param outsBilletFl value
     */
    public void setOutsBilletFl(String outsBilletFl) {
        this.outsBilletFl = outsBilletFl;
    }

    /**
     * 外购管(COM_BASE_INFO:1219)
     * @return value
     */
    public String getOutsStlPipeFl() {
        return outsStlPipeFl;
    }

    /**
     * 外购管(COM_BASE_INFO:1219)
     * @param outsStlPipeFl value
     */
    public void setOutsStlPipeFl(String outsStlPipeFl) {
        this.outsStlPipeFl = outsStlPipeFl;
    }

    /**
     * ASSEL(1:允许;0:不允许)
     * @return value
     */
    public String getAsselFl() {
        return asselFl;
    }

    /**
     * ASSEL(1:允许;0:不允许)
     * @param asselFl value
     */
    public void setAsselFl(String asselFl) {
        this.asselFl = asselFl;
    }

    /**
     * 监制要求(1:有;0:无)
     * @return value
     */
    public String getProducerFl() {
        return producerFl;
    }

    /**
     * 监制要求(1:有;0:无)
     * @param producerFl value
     */
    public void setProducerFl(String producerFl) {
        this.producerFl = producerFl;
    }

    /**
     * 监制编号(ORD_LN_PK+三位流水号)
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号(ORD_LN_PK+三位流水号)
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 监制说明
     * @return value
     */
    public String getPrdcrDesc() {
        return prdcrDesc;
    }

    /**
     * 监制说明
     * @param prdcrDesc value
     */
    public void setPrdcrDesc(String prdcrDesc) {
        this.prdcrDesc = prdcrDesc;
    }

    /**
     * MPS要求(1:有;0无)
     * @return value
     */
    public String getMpsFl() {
        return mpsFl;
    }

    /**
     * MPS要求(1:有;0无)
     * @param mpsFl value
     */
    public void setMpsFl(String mpsFl) {
        this.mpsFl = mpsFl;
    }

    /**
     * MPS编号
     * @return value
     */
    public String getMpsNo() {
        return mpsNo;
    }

    /**
     * MPS编号
     * @param mpsNo value
     */
    public void setMpsNo(String mpsNo) {
        this.mpsNo = mpsNo;
    }

    /**
     * MPS说明
     * @return value
     */
    public String getMpsDesc() {
        return mpsDesc;
    }

    /**
     * MPS说明
     * @param mpsDesc value
     */
    public void setMpsDesc(String mpsDesc) {
        this.mpsDesc = mpsDesc;
    }

    /**
     * 交货开始日期
     * @return value
     */
    public String getDelvryBdate() {
        return delvryBdate;
    }

    /**
     * 交货开始日期
     * @param delvryBdate value
     */
    public void setDelvryBdate(String delvryBdate) {
        this.delvryBdate = delvryBdate;
    }

    /**
     * 交货结束日期
     * @return value
     */
    public String getDelvryEdate() {
        return delvryEdate;
    }

    /**
     * 交货结束日期
     * @param delvryEdate value
     */
    public void setDelvryEdate(String delvryEdate) {
        this.delvryEdate = delvryEdate;
    }

    /**
     * 交货信息描述
     * @return value
     */
    public String getDelvryDesc() {
        return delvryDesc;
    }

    /**
     * 交货信息描述
     * @param delvryDesc value
     */
    public void setDelvryDesc(String delvryDesc) {
        this.delvryDesc = delvryDesc;
    }

    /**
     * 运输信息描述
     * @return value
     */
    public String getTransDesc() {
        return transDesc;
    }

    /**
     * 运输信息描述
     * @param transDesc value
     */
    public void setTransDesc(String transDesc) {
        this.transDesc = transDesc;
    }

    /**
     * 附加要求编码
     * @return value
     */
    public String getAddAskNo() {
        return addAskNo;
    }

    /**
     * 附加要求编码
     * @param addAskNo value
     */
    public void setAddAskNo(String addAskNo) {
        this.addAskNo = addAskNo;
    }

    /**
     * 订货附加要求描述
     * @return value
     */
    public String getOrderAddDesc() {
        return orderAddDesc;
    }

    /**
     * 订货附加要求描述
     * @param orderAddDesc value
     */
    public void setOrderAddDesc(String orderAddDesc) {
        this.orderAddDesc = orderAddDesc;
    }

    /**
     * 产品特殊要求标识
     * @return value
     */
    public String getOrderSpecialFl() {
        return orderSpecialFl;
    }

    /**
     * 产品特殊要求标识
     * @param orderSpecialFl value
     */
    public void setOrderSpecialFl(String orderSpecialFl) {
        this.orderSpecialFl = orderSpecialFl;
    }

    /**
     * 特殊要求技术规范说明
     * @return value
     */
    public String getOrderSpecialHead() {
        return orderSpecialHead;
    }

    /**
     * 特殊要求技术规范说明
     * @param orderSpecialHead value
     */
    public void setOrderSpecialHead(String orderSpecialHead) {
        this.orderSpecialHead = orderSpecialHead;
    }

    /**
     * 技术规范文件路径
     * @return value
     */
    public String getOrderSpecialPath() {
        return orderSpecialPath;
    }

    /**
     * 技术规范文件路径
     * @param orderSpecialPath value
     */
    public void setOrderSpecialPath(String orderSpecialPath) {
        this.orderSpecialPath = orderSpecialPath;
    }

    /**
     * 产品特殊要求描述
     * @return value
     */
    public String getOrderSpecialDesc() {
        return orderSpecialDesc;
    }

    /**
     * 产品特殊要求描述
     * @param orderSpecialDesc value
     */
    public void setOrderSpecialDesc(String orderSpecialDesc) {
        this.orderSpecialDesc = orderSpecialDesc;
    }

    /**
     * 质保书
     * @return value
     */
    public String getZbs() {
        return zbs;
    }

    /**
     * 质保书
     * @param zbs value
     */
    public void setZbs(String zbs) {
        this.zbs = zbs;
    }

    /**
     * 订货价(牌价)
     * @return value
     */
    public String getOrderPrice() {
        return orderPrice;
    }

    /**
     * 订货价(牌价)
     * @param orderPrice value
     */
    public void setOrderPrice(String orderPrice) {
        this.orderPrice = orderPrice;
    }

    /**
     * 运费
     * @return value
     */
    public String getTransPrice() {
        return transPrice;
    }

    /**
     * 运费
     * @param transPrice value
     */
    public void setTransPrice(String transPrice) {
        this.transPrice = transPrice;
    }

    /**
     * 测价序号
     * @return value
     */
    public String getTestId() {
        return testId;
    }

    /**
     * 测价序号
     * @param testId value
     */
    public void setTestId(String testId) {
        this.testId = testId;
    }

    /**
     * 测算价
     * @return value
     */
    public String getTestPrice() {
        return testPrice;
    }

    /**
     * 测算价
     * @param testPrice value
     */
    public void setTestPrice(String testPrice) {
        this.testPrice = testPrice;
    }

    /**
     * 出厂价
     * @return value
     */
    public String getOutPrice() {
        return outPrice;
    }

    /**
     * 出厂价
     * @param outPrice value
     */
    public void setOutPrice(String outPrice) {
        this.outPrice = outPrice;
    }

    /**
     * 结算价
     * @return value
     */
    public String getBalncePrice() {
        return balncePrice;
    }

    /**
     * 结算价
     * @param balncePrice value
     */
    public void setBalncePrice(String balncePrice) {
        this.balncePrice = balncePrice;
    }

    /**
     * 前合同行状态
     * @return value
     */
    public String getBeOrderLnStatus() {
        return beOrderLnStatus;
    }

    /**
     * 前合同行状态
     * @param beOrderLnStatus value
     */
    public void setBeOrderLnStatus(String beOrderLnStatus) {
        this.beOrderLnStatus = beOrderLnStatus;
    }

    /**
     * 操作对象(前)
     * @return value
     */
    public String getBeObjStsOp() {
        return beObjStsOp;
    }

    /**
     * 操作对象(前)
     * @param beObjStsOp value
     */
    public void setBeObjStsOp(String beObjStsOp) {
        this.beObjStsOp = beObjStsOp;
    }

    /**
     * 合同行状态
     * @return value
     */
    public String getOrderLnStatus() {
        return orderLnStatus;
    }

    /**
     * 合同行状态
     * @param orderLnStatus value
     */
    public void setOrderLnStatus(String orderLnStatus) {
        this.orderLnStatus = orderLnStatus;
    }

    /**
     * 操作对象
     * @return value
     */
    public String getObjStsOp() {
        return objStsOp;
    }

    /**
     * 操作对象
     * @param objStsOp value
     */
    public void setObjStsOp(String objStsOp) {
        this.objStsOp = objStsOp;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * ORD_LN_PK_OLD
     * @return value
     */
    public String getOrdLnPkOld() {
        return ordLnPkOld;
    }

    /**
     * ORD_LN_PK_OLD
     * @param ordLnPkOld value
     */
    public void setOrdLnPkOld(String ordLnPkOld) {
        this.ordLnPkOld = ordLnPkOld;
    }

    /**
     * 合同行锁定状态 '1'锁定,'0'未锁定
     * @return value
     */
    public String getIslock() {
        return islock;
    }

    /**
     * 合同行锁定状态 '1'锁定,'0'未锁定
     * @param islock value
     */
    public void setIslock(String islock) {
        this.islock = islock;
    }

    /**
     * 客户Alpha编码（Alpha编码生成MSC(n)后，写入的）
     * @return value
     */
    public String getCustAlphaNo2() {
        return custAlphaNo2;
    }

    /**
     * 客户Alpha编码（Alpha编码生成MSC(n)后，写入的）
     * @param custAlphaNo2 value
     */
    public void setCustAlphaNo2(String custAlphaNo2) {
        this.custAlphaNo2 = custAlphaNo2;
    }

    /**
     * 合同变更单号(G+YYYYMMDD+00001)
     * @return value
     */
    public String getOrderChgeNo() {
        return orderChgeNo;
    }

    /**
     * 合同变更单号(G+YYYYMMDD+00001)
     * @param orderChgeNo value
     */
    public void setOrderChgeNo(String orderChgeNo) {
        this.orderChgeNo = orderChgeNo;
    }

    /**
     * 发起合同变更的合同行号
     * @return value
     */
    public String getChgeOrdLnPk() {
        return chgeOrdLnPk;
    }

    /**
     * 发起合同变更的合同行号
     * @param chgeOrdLnPk value
     */
    public void setChgeOrdLnPk(String chgeOrdLnPk) {
        this.chgeOrdLnPk = chgeOrdLnPk;
    }

    /**
     * 结算价状态0录入1确认
     * @return value
     */
    public String getBalncePriceSts() {
        return balncePriceSts;
    }

    /**
     * 结算价状态0录入1确认
     * @param balncePriceSts value
     */
    public void setBalncePriceSts(String balncePriceSts) {
        this.balncePriceSts = balncePriceSts;
    }

    /**
     * 内部结算价格
     * @return value
     */
    public String getBalncePriceOrg() {
        return balncePriceOrg;
    }

    /**
     * 内部结算价格
     * @param balncePriceOrg value
     */
    public void setBalncePriceOrg(String balncePriceOrg) {
        this.balncePriceOrg = balncePriceOrg;
    }

    /**
     * 内部结算价状态0录入1确认
     * @return value
     */
    public String getBalncePriceOrgSts() {
        return balncePriceOrgSts;
    }

    /**
     * 内部结算价状态0录入1确认
     * @param balncePriceOrgSts value
     */
    public void setBalncePriceOrgSts(String balncePriceOrgSts) {
        this.balncePriceOrgSts = balncePriceOrgSts;
    }

    /**
     * 吊装费
     * @return value
     */
    public String getPakPrice() {
        return pakPrice;
    }

    /**
     * 吊装费
     * @param pakPrice value
     */
    public void setPakPrice(String pakPrice) {
        this.pakPrice = pakPrice;
    }

    /**
     * "ASSEL+外购的标识：1.只有ASSEL A   2.外购 W  3.ASSEL+外购 AW  4.什么都没有 为空。"
     * @return value
     */
    public String getAw() {
        return aw;
    }

    /**
     * "ASSEL+外购的标识：1.只有ASSEL A   2.外购 W  3.ASSEL+外购 AW  4.什么都没有 为空。"
     * @param aw value
     */
    public void setAw(String aw) {
        this.aw = aw;
    }

    /**
     * 录入的MPS编号
     * @return value
     */
    public String getMpsNoInput() {
        return mpsNoInput;
    }

    /**
     * 录入的MPS编号
     * @param mpsNoInput value
     */
    public void setMpsNoInput(String mpsNoInput) {
        this.mpsNoInput = mpsNoInput;
    }

    /**
     * 在线机探盲区 1可手探；0不可手探 
     * @return value
     */
    public String getManInspection() {
        return manInspection;
    }

    /**
     * 在线机探盲区 1可手探；0不可手探 
     * @param manInspection value
     */
    public void setManInspection(String manInspection) {
        this.manInspection = manInspection;
    }

    /**
     * 在线机探盲区切长(不可手探时才存在) 
     * @return value
     */
    public String getInspectionValue() {
        return inspectionValue;
    }

    /**
     * 在线机探盲区切长(不可手探时才存在) 
     * @param inspectionValue value
     */
    public void setInspectionValue(String inspectionValue) {
        this.inspectionValue = inspectionValue;
    }

    /**
     * 跟输入的MPS编号对应的MPS文本（服务器的地址）
     * @return value
     */
    public String getMpsNoFile() {
        return mpsNoFile;
    }

    /**
     * 跟输入的MPS编号对应的MPS文本（服务器的地址）
     * @param mpsNoFile value
     */
    public void setMpsNoFile(String mpsNoFile) {
        this.mpsNoFile = mpsNoFile;
    }

    /**
     * 质保书单位(来源客户表)
     * @return value
     */
    public String getQualityUser() {
        return qualityUser;
    }

    /**
     * 质保书单位(来源客户表)
     * @param qualityUser value
     */
    public void setQualityUser(String qualityUser) {
        this.qualityUser = qualityUser;
    }

    /**
     * 质保书单位描述
     * @return value
     */
    public String getQualityUserDesc() {
        return qualityUserDesc;
    }

    /**
     * 质保书单位描述
     * @param qualityUserDesc value
     */
    public void setQualityUserDesc(String qualityUserDesc) {
        this.qualityUserDesc = qualityUserDesc;
    }
}
